Skip to main content
GET
/
v1
/
sharing
/
code
/
{code}
Find Card By Share Code
curl --request GET \
  --url https://api.supernotes.app/v1/sharing/code/{code} \
  --header 'Api-Key: <api-key>'
import requests

url = "https://api.supernotes.app/v1/sharing/code/{code}"

headers = {"Api-Key": "<api-key>"}

response = requests.get(url, headers=headers)

print(response.text)
const options = {method: 'GET', headers: {'Api-Key': '<api-key>'}};

fetch('https://api.supernotes.app/v1/sharing/code/{code}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "card_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "code": "<string>",
  "card": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "name": "<string>",
    "html": "<string>",
    "icon": "<string>",
    "tags": [
      "<string>"
    ],
    "owner_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "created_when": "2023-11-07T05:31:56Z",
    "modified_when": "2023-11-07T05:31:56Z",
    "link_cache": {},
    "owner": {
      "first_name": "<string>",
      "last_name": "<string>",
      "photo": "<string>"
    },
    "trusted": true,
    "likes": 123,
    "comment_count": 123,
    "public_child_count": 123
  }
}
{
"type": "<string>",
"detail": "<string>",
"status": 123
}

Authorizations

Api-Key
string
header
required

Path Parameters

code
string
required

Response

Successful Response

id
string<uuid>
required
card_id
string<uuid>
required
owner_id
string<uuid>
required
code
string
required
granted_perms
enum<integer>
required
Available options:
-1,
0,
1318,
1382,
1398,
4094,
8190
card
CompleteCardResponse · object
required